package layers;

import models.Layer;

import java.util.List;

public class LayerIterator implements ILayerList {
	private int index;
	private List<Layer> list;


	public LayerIterator(List<Layer> list) {
		this.list = list;
		this.index=0;
	}

	@Override
	public boolean hasNext() {
		while (index < list.size()) {
			Layer c = list.get(index);
			if (c.isActivation()) {
				return true;
			} else
				index++;
		}
		return false;
	}

	@Override
	public Layer next() {
		Layer l = list.get(index);
		index++;
		return l;
	}

}
