package operations;

import exceptions.serverexceptions.OperationException;
import library.TERMS;
import models.shapes.IShapes;

import java.util.List;
import java.util.logging.Logger;

public class ShapeStratCenter {
	private IOperation operation;
	private Logger log =Logger.getLogger(ShapeStratCenter.class.getName());


	public IShapes startOperation(String shapeOperation, List<String> params) throws OperationException {
		if (TERMS.SHAPECREATIONOPERATION.equals(shapeOperation.toLowerCase())) { this.operation = new CreateOperation(); }
		else if(TERMS.SHAPEDELETIONOPERATION.equals(shapeOperation.toLowerCase())) { this.operation=new DeleteOperation(); }
		else log.warning("operation not yet implemented");
		return operation.startOperation(params);
	}
}
