package operations.create;

import library.Colours;
import models.shapes.Circle;
import models.shapes.IShapes;

import java.util.List;

public class CreateCircle implements ICreateShape {
	private Circle c;
	/**
	 *
	 * @param params (int canvasid,int cx, int cy, int r, Colours fill )
	 * @param fill enum Colours
	 * @param id String
	 * @return IShapes
	 */
	@Override
	public IShapes create(List<Integer> params, Colours fill, String id) {
		c=new Circle(id);
		c.setCx(params.get(0));
		c.setCy(params.get(1));
		c.setR(params.get(2));
		c.setFill(fill);
		return c;
	}
}
