package operations.create;

import library.Colours;
import models.shapes.IShapes;
import models.shapes.Rectangle;

import java.util.List;

public class CreateRectangle implements ICreateShape {
	private Rectangle object;

	/**
	 *
	 * @param params (canvasid,int cx,int cy,int witdh,int height,)
	 * @param fill enum Colours
	 * @param id String
	 * @return IShapes
	 */
	@Override
	public IShapes create(List<Integer> params, Colours fill, String id) {
		Rectangle rect=new Rectangle(id);
		rect.setCx(params.get(0));
		rect.setCy(params.get(1));
		rect.setHeight(params.get(2));
		rect.setWidth(params.get(3));
		rect.setFill(fill);
		return rect;
	}
}
