package operations;

import exceptions.serverexceptions.OperationException;
import library.Colours;
import library.Shape_Forms;
import library.TERMS;
import models.shapes.Circle;
import models.shapes.IShapes;
import org.junit.Test;

import java.util.ArrayList;
import java.util.List;

import static org.junit.Assert.assertEquals;

public class ShapeStratCenterTest {

	@Test
	public void startOperation() {
		ShapeStratCenter test=new ShapeStratCenter();
		List<String> params=new ArrayList<>();
		params.add(TERMS.CLIENTID_INDEX,"222");
		params.add(TERMS.CANVASID_INDEX,"sewe");
		params.add(TERMS.SHAPETYPE_INDEX, Shape_Forms.CIRCLE.toString());
		params.add(TERMS.CX_INDEX,"100");
		params.add(TERMS.CY_INDEX,"150");
		params.add(TERMS.RX_INDEX,"66");
		params.add(TERMS.RY_INDEX,"");
		params.add(TERMS.FILL_INDEX,"red");
		params.add(TERMS.STROKE_INDEX,"");
		try {
			IShapes a=test.startOperation(TERMS.SHAPECREATIONOPERATION, params);
			Circle ca= (Circle) a;
			assertEquals(ca.getFill(),Colours.RED);
		} catch (OperationException e) {
			e.printStackTrace();
		}
	}
}