package operations.create;

import exceptions.serverexceptions.ShapeCreationException;
import library.Shape_Forms;
import library.TERMS;
import models.shapes.Circle;
import org.junit.Test;

import java.util.ArrayList;
import java.util.List;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNotNull;

public class ShapeCreationTest {

	@Test
	public void createShape() {
		ShapeCreation test=new ShapeCreation();
		List<String> params=new ArrayList<>();
		params.add(TERMS.CLIENTID_INDEX,"222");
		params.add(TERMS.CANVASID_INDEX,"sewe");
		params.add(TERMS.SHAPETYPE_INDEX, Shape_Forms.CIRCLE.toString());
		params.add(TERMS.CX_INDEX,"100");
		params.add(TERMS.CY_INDEX,"150");
		params.add(TERMS.RX_INDEX,"66");
		params.add(TERMS.RY_INDEX,"");
		params.add(TERMS.FILL_INDEX,"red");
		params.add(TERMS.STROKE_INDEX,"");
		try {
			assertNotNull(test.createShape(Shape_Forms.CIRCLE.toString(),params));
			assertEquals(66,((Circle)test.createShape(Shape_Forms.CIRCLE.toString(),params)).getR());
		} catch (ShapeCreationException e) {
			e.printStackTrace();
		}
	}

	@Test
	public void getShapeCreation() {
	}

	@Test
	public void setShapeCreation() {
	}
}