package exceptions.networkexceptions;

import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

/**
 * exception if there are problems with generating of finding resources
 */
@ResponseStatus(value = HttpStatus.NO_CONTENT)
public class CreationAndEditException extends Exception {
	public CreationAndEditException(String message) {
		super(message);
	}
}
