package management;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;

/**
 * Main Management Class
 */
@EnableAutoConfiguration
@SpringBootApplication
@ComponentScan(basePackages = {"communicationmethods", "models"})
public class DrawingServer {
	public static void main(String[] args) {
		SpringApplication.run(DrawingServer.class, args);
	}
}
