package models;

import models.shapes.IShapes;

import java.util.ArrayList;
import java.util.List;

public class Layer {
	private String id;
	private List<IShapes> layerShapes;
	private boolean activation;

	public boolean isActivation() {
		return activation;
	}

	public void setActivation(boolean activation) {
		this.activation = activation;
	}

	public Layer(String id) {
		this.id = id;
		this.layerShapes=new ArrayList<>();
		this.activation=true;
	}

	public String getId() {
		return id;
	}


	public List<IShapes> getLayerShapes() {
		return layerShapes;
	}

	public void setLayerShapes(List<IShapes> layerShapes) {
		this.layerShapes = layerShapes;
	}
}
