package operations;

import exceptions.serverexceptions.OperationException;
import exceptions.serverexceptions.ShapeCreationException;
import library.TERMS;
import models.shapes.IShapes;
import operations.create.ShapeCreation;

import java.util.List;

public class CreateOperation implements IOperation{
	private ShapeCreation c;

	@Override
	public IShapes startOperation(List<String> params) throws OperationException {
		c=new ShapeCreation();
		try {
			return c.createShape(params.get(TERMS.SHAPETYPE_INDEX),params);
		} catch (ShapeCreationException e) {
			throw new OperationException("ShapeCreationException: "+e.getMessage());
			//TODO logging?
		}
	}
}
