package operations;

import exceptions.serverexceptions.OperationException;
import models.shapes.IShapes;

import java.util.List;
import java.util.logging.Logger;

public class ManageShapes {
	private Logger log =Logger.getLogger(ManageShapes.class.getName());
	private IShapes shape;
	private ShapeStratCenter cent;
	public ManageShapes() {
		cent=new ShapeStratCenter();
	}

	public void setShapeOperation(String operation, List<String> params) {
		try {
			this.shape=cent.startOperation(operation,params);
		} catch (OperationException e) {
			e.printStackTrace();
		}
	}

	public IShapes getShape() {
		return shape;
	}
}
