package operations.create;

import library.Colours;
import models.shapes.Eclipse;
import models.shapes.IShapes;

import java.util.List;

public class CreateEclipse implements ICreateShape
{
	/**
	 *
	 * @param params (int canvasid,int cx, int cy, int rx, int ry, Colours fill)
	 * @param fill enum Colours
	 * @param id String
	 * @return IShapes
	 */
	@Override
	public IShapes create(List<Integer> params, Colours fill, String id) {
		Eclipse ec=new Eclipse(id);
		ec.setCx(params.get(0));
		ec.setCy(params.get(1));
		ec.setRx(params.get(2));
		ec.setRy(params.get(3));
		ec.setFill(fill);
		return ec;
	}
}
