package operations.create;

import library.Colours;
import models.shapes.IShapes;
import models.shapes.Stroke;

import java.util.List;

public class CreateStroke implements ICreateShape {
	/**
	 *
	 * @param params (int canvasid,int cx, int cy, int x2, int y2, Colours fill, int stroke width)
	 * @param fill enum Colours
	 * @param id String
	 * @return IShapes
	 */
	@Override
	public IShapes create(List<Integer> params, Colours fill, String id) {
		Stroke str=new Stroke(id);
		str.setCx(params.get(0));
		str.setCy(params.get(1));
		str.setX2(params.get(2));
		str.setY2(params.get(3));
		str.setStroke_width(params.get(4));
		str.setStroke(fill);
		return str;
	}
}
